> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openhands.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Workspace Link

> Register a user mapping to a Jira workspace.



## OpenAPI

````yaml /openapi/openhands-cloud.json post /integration/jira/workspaces/link
openapi: 3.1.0
info:
  title: OpenHands
  description: 'OpenHands: Code Less, Make More'
  version: 0.0.1
servers: []
security: []
paths:
  /integration/jira/workspaces/link:
    post:
      summary: Create Workspace Link
      description: Register a user mapping to a Jira workspace.
      operationId: create_workspace_link_integration_jira_workspaces_link_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JiraLinkCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JiraLinkCreate:
      properties:
        workspace_name:
          type: string
          title: Workspace Name
          description: Name of the Jira workspace to link to
      type: object
      required:
        - workspace_name
      title: JiraLinkCreate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````